Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is auth_token, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. Learn more.
If this call is successful and you enabled Promoter sign up accepted emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the skip_email_notification parameter to true
HTTP Request
POST https://firstpromoter.com/api/v1/promoters/create
POST
/
create
cURL
curl --request POST \ --url https://firstpromoter.com/api/v1/promoters/create \ --header 'X-API-KEY: <api-key>'
Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON.Probably the most important value from the response is “auth_token”, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. Learn more
If this call is successful and you enabled “Promoter sign up accepted” emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the skip_email_notification parameter to “true”.
Your customer's user ID inside your application/system for the promoter. It will be avaliable in the webhooks to identify the promoter in your system if you subscribe for FirstPromoter webhooks.
Customer promo code from your billing provider to assign to this affiliate for coupon tracking. This is also known as discount code or promotion code or display code. This is the code your customer(s) can use on the checkout form/page.
The ID of the campaign to assign the promoter to. On the campaigns sections you can see the id as camp_id query parameter on 'Promoter Sign Up page URL'. If there is no camp_id it means the campaign is the default campaign and this parameter is not required.
A temporary password promoters can use to log in to their dashboard if you don't use authentication tokens(auth_token) to sign promoters in automatically.
Set true to enable direct url tracking feature. FirstPromoter will do the tracking based on landing_url(above) without requiring the referral id to be appended to the url. The landing_url needs to be unique for each promoter. Default is false.
Set this to true to automatically approve the promoter into the campaign without having to manually review the promoter. Please note that this feature only works when Auto approve new promoters is enabled/toggle on your FirstPromoter Admin panel under the Campaign settings.
Your customer's user ID inside your application/system for the promoter. This will be included in the webhook event and can be used to identify the promoter in your system if you subscribe for FirstPromoter's webhooks.
A temporary password the promoter can use to log in to their dashboard if you don't use authentication tokens(auth_token) to sign promoters in automatically.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"FirstPromoter Docs","colors":{"primary":"#2497F3","light":"#42A5F5","dark":"#1A1C25"},"logo":{"light":"https://mintcdn.com/firstpromoter/Qml53iAwCwPGiKRZ/logo/light.svg?fit=max\u0026auto=format\u0026n=Qml53iAwCwPGiKRZ\u0026q=85\u0026s=17d35344b27497f795682da8932295c9","dark":"https://mintcdn.com/firstpromoter/Qml53iAwCwPGiKRZ/logo/dark.svg?fit=max\u0026auto=format\u0026n=Qml53iAwCwPGiKRZ\u0026q=85\u0026s=ef23e747176d9a87b5ddf122595793f8"},"favicon":"https://mintcdn.com/firstpromoter/rNk-Jdvp2vdjAvd9/favicon.png?fit=max\u0026auto=format\u0026n=rNk-Jdvp2vdjAvd9\u0026q=85\u0026s=7faf17e323609b0fef661b9a9fe49ebc","navbar":{"links":[{"href":"mailto:support@firstpromoter.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://login.firstpromoter.com/"}},"footer":{"socials":{"x":"https://x.com/firstpromoter","linkedin":"https://www.linkedin.com/company/first-promoter"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"firstpromoter","hasAudioNarration":false,"actualSubdomain":"firstpromoter","customDomains":["docs.firstpromoter.com"],"gitSource":{"type":"github","owner":"firstpromoter","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb056486e5c4288ac4ca44","collectionId":"46b1f99c-db41-4d10-8d3e-8d7eeeaa0b5e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb056486e5c4288ac4ca44"},"entitlements":{},"buildId":"6aeb056486e5c4288ac4ca44","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"Documentation","count":213},{"language":"default","tag":"API Reference","count":81},{"language":"default","tag":"Integration Options","count":41},{"language":"default","tag":"Promoters","count":25},{"language":"default","tag":"Platform","count":23},{"language":"default","tag":"Custom","count":9},{"language":"default","tag":"Webhooks","count":9},{"language":"default","tag":"Reports","count":8},{"language":"default","tag":"Payouts","count":7},{"language":"default","tag":"Commissions","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference-v1/promoters-api/create","slug":"/api-reference-v1/promoters-api/create","pageMetadata":{"title":"Create a new promoter","openapi":"openapi-promoters POST /create","description":"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is `auth_token`, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. [Learn more](https://help.firstpromoter.com/faq/how-to-embed-the-promoter-dashboard-inside-your-website-and-log-your-users-in-automatically). \u003cNote> If this call is successful and you enabled `Promoter sign up accepted` emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the `skip_email_notification` parameter to `true`\u003c/Note>\u003cTip>**HTTP Request** \u003cbr/>\u003cbr/> `POST https://firstpromoter.com/api/v1/promoters/create`\u003c/Tip>","href":"/api-reference-v1/promoters-api/create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n }, {Note, Tip} = _components;\n if (!Note) _missingMdxReference(\"Note\", true);\n if (!Tip) _missingMdxReference(\"Tip\", true);\n return _jsxs(_components.p, {\n children: [\"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is \", _jsx(_components.code, {\n children: \"auth_token\"\n }), \", which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. \", _jsx(_components.a, {\n href: \"https://help.firstpromoter.com/faq/how-to-embed-the-promoter-dashboard-inside-your-website-and-log-your-users-in-automatically\",\n children: \"Learn more\"\n }), \". \", _jsxs(Note, {\n children: [\" If this call is successful and you enabled \", _jsx(_components.code, {\n children: \"Promoter sign up accepted\"\n }), \" emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the \", _jsx(_components.code, {\n children: \"skip_email_notification\"\n }), \" parameter to \", _jsx(_components.code, {\n children: \"true\"\n })]\n }), _jsxs(Tip, {\n children: [_jsx(_components.strong, {\n children: \"HTTP Request\"\n }), \" \", _jsx(\"br\", {}), _jsx(\"br\", {}), \" \", _jsx(_components.code, {\n children: \"POST https://firstpromoter.com/api/v1/promoters/create\"\n })]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\nfunction _missingMdxReference(id, component) {\n throw new Error(\"Expected \" + (component ? \"component\" : \"object\") + \" `\" + id + \"` to be defined: you likely forgot to import, pass, or provide it.\");\n}\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Note}=_components;if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON.`}),`\n`,_jsx(_components.p,{children:`Probably the most important value from the response is “auth_token”, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. Learn more`}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`If this call is successful and you enabled “Promoter sign up accepted” emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the skip_email_notification parameter to “true”.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a new promoter","openapi":"openapi-promoters POST /create","description":"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is `auth_token`, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. [Learn more](https://help.firstpromoter.com/faq/how-to-embed-the-promoter-dashboard-inside-your-website-and-log-your-users-in-automatically). \u003cNote> If this call is successful and you enabled `Promoter sign up accepted` emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the `skip_email_notification` parameter to `true`\u003c/Note>\u003cTip>**HTTP Request** \u003cbr/>\u003cbr/> `POST https://firstpromoter.com/api/v1/promoters/create`\u003c/Tip>","href":"/api-reference-v1/promoters-api/create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/firstpromoter/8ad42af542d542c7/downloadables/fpr-prox.js"],"openApiReferenceData":{"operation":{"description":"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is `auth_token`, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. [Learn more](https://help.firstpromoter.com/faq/how-to-embed-the-promoter-dashboard-inside-your-website-and-log-your-users-in-automatically). \u003cNote> If this call is successful and you enabled `Promoter sign up accepted` emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the `skip_email_notification` parameter to `true`\u003c/Note>\u003cTip>**HTTP Request** \u003cbr/>\u003cbr/> `POST https://firstpromoter.com/api/v1/promoters/create`\u003c/Tip>","parameters":["5317c886-2d01-47fa-9835-7b942bcbdc83","99c14a2e-377b-4af7-ac9b-6773633faa47","d20eb78a-3629-44a4-add1-6977ce5cf5d6","383a4a3e-40de-4ce7-a7e0-2c81b4273fab","a3de6fdf-ca3b-4151-89c4-a0dca879174b","bf7faa37-83ca-4467-ac51-b27e23b492e2","dae601b9-28ff-40f8-bb5d-044ea976c692","fc9914d9-da5d-4958-9720-8544da3d1917","c75c042b-6686-4aa4-98fc-3bedb23ae9d7","c8da303e-6b25-41b8-8d8f-3ca1036cfba8","0a5e0c06-5cb9-4e75-8b5f-a1e6adf00a33","f1cc5e76-7245-48bd-8090-47e587b6d144","291ef1dd-8fce-40b4-a616-44615e7c799a","9ee932c6-0b7c-4310-945f-1702e4b17323","24bd6da0-5d5d-4384-a3df-c266d175271b","0d06f87b-c681-4fce-b535-3640a0a9c1ba","e61347fd-db51-4371-8772-a453ffdd8e4f","ca203f2b-8045-4fab-a694-ebc3ffe828b1","ab948754-d238-4c64-b0a4-11e74b29ebcb","5875857a-c292-496c-a8bb-c05a8481a6f5","9514b873-c5c4-4cdd-9d17-dc249d30b68f","84dcda61-e733-4c4b-b177-c54d3fdde246","35575a95-dfe1-4a8b-8d26-2392dbae64fa","4cc20c4f-bb7c-42e2-bd13-9e51d89e4cad","d720cacd-4eaa-4f42-ad86-856bf9341280","56130c49-9a1f-4ddd-b922-857660829c9b","a1e7706f-3ef7-4aac-852c-0b93b7da9660","e78f2ca3-4eea-4563-9d0f-7901c8077be0","76ec5ef6-e179-4c7f-a03c-120502c09537"],"responses":{"200":"e059b897-b0de-4f2e-a906-9445118f03f8","401":"42a89ebc-262f-4659-9788-5d16ff660576","422":"bd36d876-ad0d-471a-b3bb-6878a91a67b6"},"method":"post","type":"path","servers":["cf343685-35f1-4bf3-bc4e-8859f920d6d8"],"security":["269911f4-0f00-42c0-8c6f-e9436c156c27"],"path":"/create","baseUrlOptions":["https://firstpromoter.com/api/v1/promoters"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"5317c886-2d01-47fa-9835-7b942bcbdc83":{"name":"email","in":"query","required":true,"description":"Promoter's email","schema":{"type":"string","format":"email","isRequired":true,"description":"Promoter's email","uniqueKey":"","typeLabel":"string\u003cemail>"}},"99c14a2e-377b-4af7-ac9b-6773633faa47":{"name":"first_name","in":"query","description":"Promoter's first name","schema":{"type":"string","description":"Promoter's first name","uniqueKey":"","typeLabel":"string"}},"d20eb78a-3629-44a4-add1-6977ce5cf5d6":{"name":"last_name","in":"query","description":"Promoter's last name","schema":{"type":"string","description":"Promoter's last name","uniqueKey":"","typeLabel":"string"}},"383a4a3e-40de-4ce7-a7e0-2c81b4273fab":{"name":"cust_id","in":"query","description":"Your customer's user ID inside your application/system for the promoter. It will be avaliable in the webhooks to identify the promoter in your system if you subscribe for FirstPromoter webhooks.","schema":{"type":"string","description":"Your customer's user ID inside your application/system for the promoter. It will be avaliable in the webhooks to identify the promoter in your system if you subscribe for FirstPromoter webhooks.","uniqueKey":"","typeLabel":"string"}},"a3de6fdf-ca3b-4151-89c4-a0dca879174b":{"name":"ref_id","in":"query","description":"Referral ID. If this is blank an ID is assigned based on the first name. Can be only `lower-case letters` , `numbers` , `-`(hyphen) and `_`(underscore)","schema":{"type":"string","description":"Referral ID. If this is blank an ID is assigned based on the first name. Can be only `lower-case letters` , `numbers` , `-`(hyphen) and `_`(underscore)","uniqueKey":"","typeLabel":"string"}},"bf7faa37-83ca-4467-ac51-b27e23b492e2":{"name":"promo_code","in":"query","description":"Unique promo code from your billing provider to assign to this affiliate for coupon tracking. This is also known as the `Coupon Code` or `Coupon ID`","schema":{"type":"string","description":"Unique promo code from your billing provider to assign to this affiliate for coupon tracking. This is also known as the `Coupon Code` or `Coupon ID`","uniqueKey":"","typeLabel":"string"}},"dae601b9-28ff-40f8-bb5d-044ea976c692":{"name":"customer_promo_code","in":"query","description":"Customer promo code from your billing provider to assign to this affiliate for coupon tracking. This is also known as `discount code` or `promotion code` or `display code`. This is the code your customer(s) can use on the checkout form/page.","schema":{"type":"string","description":"Customer promo code from your billing provider to assign to this affiliate for coupon tracking. This is also known as `discount code` or `promotion code` or `display code`. This is the code your customer(s) can use on the checkout form/page.","uniqueKey":"","typeLabel":"string"}},"fc9914d9-da5d-4958-9720-8544da3d1917":{"name":"campaign_id","in":"query","description":"The ID of the campaign to assign the promoter to. On the campaigns sections you can see the id as `camp_id` query parameter on 'Promoter Sign Up page URL'. If there is no `camp_id` it means the campaign is the default campaign and this parameter is not required.","schema":{"type":"string","description":"The ID of the campaign to assign the promoter to. On the campaigns sections you can see the id as `camp_id` query parameter on 'Promoter Sign Up page URL'. If there is no `camp_id` it means the campaign is the default campaign and this parameter is not required.","uniqueKey":"","typeLabel":"string"}},"c75c042b-6686-4aa4-98fc-3bedb23ae9d7":{"name":"temp_password","in":"query","description":"A temporary password promoters can use to log in to their dashboard if you don't use authentication tokens(`auth_token`) to sign promoters in automatically.","schema":{"type":"string","description":"A temporary password promoters can use to log in to their dashboard if you don't use authentication tokens(`auth_token`) to sign promoters in automatically.","uniqueKey":"","typeLabel":"string"}},"c8da303e-6b25-41b8-8d8f-3ca1036cfba8":{"name":"landing_url","in":"query","description":"You can set up a custom landing page url for this promoter. The referral id will be appended to it, unless the `url_tracking` parameter(below) is used.","schema":{"type":"string","description":"You can set up a custom landing page url for this promoter. The referral id will be appended to it, unless the `url_tracking` parameter(below) is used.","uniqueKey":"","typeLabel":"string"}},"0a5e0c06-5cb9-4e75-8b5f-a1e6adf00a33":{"name":"url_tracking","in":"query","description":"Set `true` to enable direct url tracking feature. FirstPromoter will do the tracking based on `landing_url`(above) without requiring the referral id to be appended to the url. The `landing_url` needs to be unique for each promoter. Default is `false`. ","schema":{"type":"string","description":"Set `true` to enable direct url tracking feature. FirstPromoter will do the tracking based on `landing_url`(above) without requiring the referral id to be appended to the url. The `landing_url` needs to be unique for each promoter. Default is `false`. ","uniqueKey":"","typeLabel":"string"}},"f1cc5e76-7245-48bd-8090-47e587b6d144":{"name":"website","in":"query","description":"Promoter's website ","schema":{"type":"string","description":"Promoter's website ","uniqueKey":"","typeLabel":"string"}},"291ef1dd-8fce-40b4-a616-44615e7c799a":{"name":"paypal_email","in":"query","description":"Promoter's Paypal email address","schema":{"type":"string","description":"Promoter's Paypal email address","uniqueKey":"","typeLabel":"string"}},"9ee932c6-0b7c-4310-945f-1702e4b17323":{"name":"avatar_url","in":"query","description":"URL of the profile picture promoters can see on their dashboard","schema":{"type":"string","description":"URL of the profile picture promoters can see on their dashboard","uniqueKey":"","typeLabel":"string"}},"24bd6da0-5d5d-4384-a3df-c266d175271b":{"name":"parent_promoter_id","in":"query","description":"Id of the parent if the promoter is a sub-affiliate","schema":{"type":"string","description":"Id of the parent if the promoter is a sub-affiliate","uniqueKey":"","typeLabel":"string"}},"0d06f87b-c681-4fce-b535-3640a0a9c1ba":{"name":"parent_promoter_email","in":"query","description":"Email of the parent promoter if the promoter is a sub-affiliate","schema":{"type":"string","description":"Email of the parent promoter if the promoter is a sub-affiliate","uniqueKey":"","typeLabel":"string"}},"e61347fd-db51-4371-8772-a453ffdd8e4f":{"name":"linkedin_url","in":"query","description":"Promoter's linkedin url","schema":{"type":"string","description":"Promoter's linkedin url","uniqueKey":"","typeLabel":"string"}},"ca203f2b-8045-4fab-a694-ebc3ffe828b1":{"name":"twitter_url","in":"query","description":"Promoter's twitter url","schema":{"type":"string","description":"Promoter's twitter url","uniqueKey":"","typeLabel":"string"}},"ab948754-d238-4c64-b0a4-11e74b29ebcb":{"name":"facebook_url","in":"query","description":"Promoter's facebook url","schema":{"type":"string","description":"Promoter's facebook url","uniqueKey":"","typeLabel":"string"}},"5875857a-c292-496c-a8bb-c05a8481a6f5":{"name":"instagram_url","in":"query","description":"Promoter's instagram url","schema":{"type":"string","description":"Promoter's instagram url","uniqueKey":"","typeLabel":"string"}},"9514b873-c5c4-4cdd-9d17-dc249d30b68f":{"name":"youtube_url","in":"query","description":"Promoter's youtube url","schema":{"type":"string","description":"Promoter's youtube url","uniqueKey":"","typeLabel":"string"}},"84dcda61-e733-4c4b-b177-c54d3fdde246":{"name":"country","in":"query","description":"Promoter's country","schema":{"type":"string","description":"Promoter's country","uniqueKey":"","typeLabel":"string"}},"35575a95-dfe1-4a8b-8d26-2392dbae64fa":{"name":"company_name","in":"query","description":"Promoter's company name","schema":{"type":"string","description":"Promoter's company name","uniqueKey":"","typeLabel":"string"}},"4cc20c4f-bb7c-42e2-bd13-9e51d89e4cad":{"name":"phone_number","in":"query","description":"Promoter's phone number","schema":{"type":"string","description":"Promoter's phone number","uniqueKey":"","typeLabel":"string"}},"d720cacd-4eaa-4f42-ad86-856bf9341280":{"name":"address","in":"query","description":"Promoter's address","schema":{"type":"string","description":"Promoter's address","uniqueKey":"","typeLabel":"string"}},"56130c49-9a1f-4ddd-b922-857660829c9b":{"name":"note","in":"query","description":"A note/description of promoter","schema":{"type":"string","description":"A note/description of promoter","uniqueKey":"","typeLabel":"string"}},"a1e7706f-3ef7-4aac-852c-0b93b7da9660":{"name":"created_at","in":"query","description":"ISO date string of the date of the signup event","schema":{"type":"string","description":"ISO date string of the date of the signup event","uniqueKey":"","typeLabel":"string"}},"e78f2ca3-4eea-4563-9d0f-7901c8077be0":{"name":"skip_email_notification","in":"query","description":"Set this to `true` to skip email notifications. Default is `false`.","schema":{"type":"boolean","description":"Set this to `true` to skip email notifications. Default is `false`.","uniqueKey":"","typeLabel":"boolean"}},"76ec5ef6-e179-4c7f-a03c-120502c09537":{"name":"always_approve","in":"query","description":"Set this to `true` to automatically approve the promoter into the campaign without having to manually review the promoter. Please note that this feature only works when `Auto approve new promoters` is enabled/toggle on your FirstPromoter Admin panel under the Campaign settings.","schema":{"type":"boolean","description":"Set this to `true` to automatically approve the promoter into the campaign without having to manually review the promoter. Please note that this feature only works when `Auto approve new promoters` is enabled/toggle on your FirstPromoter Admin panel under the Campaign settings.","uniqueKey":"","typeLabel":"boolean"}}},"responses":{"e059b897-b0de-4f2e-a906-9445118f03f8":{"description":"Promoters created response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"description":"The promoter's ID inside FirstPromoter","type":"integer","uniqueKey":"id","typeLabel":"integer"},"status":{"description":"Promoter's status","type":"string","enum":["approved","pending","denied"],"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"cust_id":{"description":"Your customer's user ID inside your application/system for the promoter. This will be included in the webhook event and can be used to identify the promoter in your system if you subscribe for FirstPromoter's webhooks.","type":"string","uniqueKey":"cust_id","typeLabel":"string"},"email":{"description":"Promoter's email","type":"string","uniqueKey":"email","typeLabel":"string"},"created_at":{"description":"ISO date string when the promoter signed up","type":"string","uniqueKey":"created_at","typeLabel":"string"},"temp_password":{"description":"A temporary password the promoter can use to log in to their dashboard if you don't use authentication tokens(`auth_token`) to sign promoters in automatically.","type":"string","uniqueKey":"temp_password","typeLabel":"string"},"default_promotion_id":{"description":"Promoter's default promotion id","type":"number","example":128833,"uniqueKey":"default_promotion_id","typeLabel":"number"},"pref":{"description":"Promoter's parent referral id.","type":"string","uniqueKey":"pref","typeLabel":"string"},"default_ref_id":{"description":"Promoter's default referral id","type":"string","uniqueKey":"default_ref_id","typeLabel":"string"},"note":{"description":"A note/description of promoter","type":"string","uniqueKey":"note","typeLabel":"string"},"w8_form_url":{"description":"The w8 form url","type":"string","uniqueKey":"w8_form_url","typeLabel":"string"},"w9_form_url":{"description":"The w9 form url","type":"string","uniqueKey":"w9_form_url","typeLabel":"string"},"parent_promoter_id":{"description":"Parent promoter id","type":"string","uniqueKey":"parent_promoter_id","typeLabel":"string"},"earnings_balance":{"description":"Promoter's earnings balance. This object can contain `cash`, `credits`, `discount_per` ","type":"object","properties":{"cash":{"description":"The cash earnings","type":"integer","example":3000,"uniqueKey":"earnings_balance.cash","typeLabel":"integer"},"credits":{"description":"The earning credits","type":"integer","example":300,"uniqueKey":"earnings_balance.credits","typeLabel":"integer"},"discount_per":{"description":"The earning discount percentage","type":"integer","example":30,"uniqueKey":"earnings_balance.discount_per","typeLabel":"integer"}},"uniqueKey":"earnings_balance","typeLabel":"object"},"current_balance":{"description":"Promoter's current balance. This object can contain `cash`, `credits`, `discount_per` ","type":"object","properties":{"cash":{"description":"The current cash balance","type":"integer","example":1000,"uniqueKey":"current_balance.cash","typeLabel":"integer"},"credits":{"description":"The current credits","type":"integer","example":200,"uniqueKey":"current_balance.credits","typeLabel":"integer"},"discount_per":{"description":"The current discount percentage","type":"integer","example":15,"uniqueKey":"current_balance.discount_per","typeLabel":"integer"}},"uniqueKey":"current_balance","typeLabel":"object"},"paid_balance":{"description":"Promoter's paid balance. This object can contain `cash`, `credits`, `discount_per`","type":"object","properties":{"cash":{"description":"The cash paid","type":"integer","example":2000,"uniqueKey":"paid_balance.cash","typeLabel":"integer"},"credits":{"description":"The credits given","type":"integer","example":100,"uniqueKey":"paid_balance.credits","typeLabel":"integer"},"discount_per":{"description":"The discount percentage given","type":"integer","example":15,"uniqueKey":"paid_balance.discount_per","typeLabel":"integer"}},"uniqueKey":"paid_balance","typeLabel":"object"},"auth_token":{"description":"Authentication token generated when the promoter was created","type":"string","uniqueKey":"auth_token","typeLabel":"string"},"profile":{"type":"object","properties":{"first_name":{"description":"Promoter's first name","type":"string","uniqueKey":"profile.first_name","typeLabel":"string"},"last_name":{"description":"Promoter's last name","type":"string","uniqueKey":"profile.last_name","typeLabel":"string"},"website":{"description":"Promoter's website","type":"string","uniqueKey":"profile.website","typeLabel":"string"},"company_name":{"description":"Promoter's company name","type":"string","uniqueKey":"profile.company_name","typeLabel":"string"},"phone_number":{"description":"Promoter's phone number","type":"string","uniqueKey":"profile.phone_number","typeLabel":"string"},"address":{"description":"Promoter's address","type":"string","uniqueKey":"profile.address","typeLabel":"string"},"vat_id":{"description":"Promoter's vat id","type":"string","uniqueKey":"profile.vat_id","typeLabel":"string"},"country":{"description":"Promoter's country","type":"string","uniqueKey":"profile.country","typeLabel":"string"},"paypal_email":{"description":"Promoter's Paypal email address","type":"string","uniqueKey":"profile.paypal_email","typeLabel":"string"},"avatar_url":{"description":"URL of the profile picture promoters can see on their dashboard","type":"string","uniqueKey":"profile.avatar_url","typeLabel":"string"},"description":{"description":"A note/description of promoter","type":"string","uniqueKey":"profile.description","typeLabel":"string"},"social_accounts":{"type":"object","properties":{"twitter":{"type":"object","properties":{"url":{"description":"Promoter's twitter url","type":"string","uniqueKey":"profile.social_accounts.twitter.url","typeLabel":"string"}},"uniqueKey":"profile.social_accounts.twitter","typeLabel":"object"},"youtube":{"type":"object","properties":{"url":{"description":"Promoter's youtube url","type":"string","uniqueKey":"profile.social_accounts.youtube.url","typeLabel":"string"}},"uniqueKey":"profile.social_accounts.youtube","typeLabel":"object"},"facebook":{"type":"object","properties":{"url":{"description":"Promoter's Facebook url","type":"string","uniqueKey":"profile.social_accounts.facebook.url","typeLabel":"string"}},"uniqueKey":"profile.social_accounts.facebook","typeLabel":"object"},"linkedin":{"type":"object","properties":{"url":{"description":"Promoter's linkedin url","type":"string","uniqueKey":"profile.social_accounts.linkedin.url","typeLabel":"string"}},"uniqueKey":"profile.social_accounts.linkedin","typeLabel":"object"},"instagram":{"type":"object","properties":{"url":{"description":"Promoter's instagram url","type":"string","uniqueKey":"profile.social_accounts.instagram.url","typeLabel":"string"}},"uniqueKey":"profile.social_accounts.instagram","typeLabel":"object"}},"uniqueKey":"profile.social_accounts","typeLabel":"object"}},"uniqueKey":"profile","typeLabel":"object"},"promotions":{"type":"array","items":{"type":"object","properties":{"id":{"description":"ID of the promotion.","type":"number","uniqueKey":"promotions.items.[INDEX].id","typeLabel":"number"},"status":{"description":"Current offer status.","type":"string","uniqueKey":"promotions.items.[INDEX].status","typeLabel":"string"},"ref_id":{"type":"string","uniqueKey":"promotions.items.[INDEX].ref_id","typeLabel":"string"},"promo_code":{"description":" Unique promo code from your billing provider to assign to this affiliate for coupon tracking. This is also known as the `Coupon Code` or `Coupon ID`","type":"string","uniqueKey":"promotions.items.[INDEX].promo_code","typeLabel":"string"},"customer_promo_code":{"description":"Customer promo code from your billing provider assigned to this affiliate for coupon tracking. This is also known as `discount code` or `promotion code` or `display code`. This is the code your customer(s) used on the checkout form/page.","type":"string","uniqueKey":"promotions.items.[INDEX].customer_promo_code","typeLabel":"string"},"target_reached_at":{"type":"object","uniqueKey":"promotions.items.[INDEX].target_reached_at","typeLabel":"object"},"promoter_id":{"description":"ID of the promoter/affiliate.","type":"number","uniqueKey":"promotions.items.[INDEX].promoter_id","typeLabel":"number"},"campaign_id":{"description":"ID of the campaign where the promotion runs.","type":"number","uniqueKey":"promotions.items.[INDEX].campaign_id","typeLabel":"number"},"referral_link":{"description":"Promoter's referral link","type":"string","uniqueKey":"promotions.items.[INDEX].referral_link","typeLabel":"string"},"current_offer":{"type":"object","properties":{"id":{"description":"The reward id","type":"number","uniqueKey":"promotions.items.[INDEX].current_offer.id","typeLabel":"number"},"name":{"description":"The reward name","type":"string","uniqueKey":"promotions.items.[INDEX].current_offer.name","typeLabel":"string"},"amount":{"description":"The reward amount","type":"number","uniqueKey":"promotions.items.[INDEX].current_offer.amount","typeLabel":"number"},"unit":{"description":"The reward unit (e.g., 'credits', 'free_months', 'cash').","type":"string","uniqueKey":"promotions.items.[INDEX].current_offer.unit","typeLabel":"string"},"default_promo_code":{"type":"string","uniqueKey":"promotions.items.[INDEX].current_offer.default_promo_code","typeLabel":"string"}},"uniqueKey":"promotions.items.[INDEX].current_offer","typeLabel":"object"},"current_referral_reward":{"type":"object","properties":{"id":{"type":"number","uniqueKey":"promotions.items.[INDEX].current_referral_reward.id","typeLabel":"number"},"amount":{"type":"number","uniqueKey":"promotions.items.[INDEX].current_referral_reward.amount","typeLabel":"number"},"unit":{"type":"string","uniqueKey":"promotions.items.[INDEX].current_referral_reward.unit","typeLabel":"string"},"name":{"type":"string","uniqueKey":"promotions.items.[INDEX].current_referral_reward.name","typeLabel":"string"},"per_of_sale":{"type":"number","uniqueKey":"promotions.items.[INDEX].current_referral_reward.per_of_sale","typeLabel":"number"},"default_promo_code":{"type":"string","uniqueKey":"promotions.items.[INDEX].current_referral_reward.default_promo_code","typeLabel":"string"}},"uniqueKey":"promotions.items.[INDEX].current_referral_reward","typeLabel":"object"},"current_promotion_reward":{"type":"object","uniqueKey":"promotions.items.[INDEX].current_promotion_reward","typeLabel":"object"},"current_target_reward":{"type":"object","uniqueKey":"promotions.items.[INDEX].current_target_reward","typeLabel":"object"},"campaign_name":{"type":"string","uniqueKey":"promotions.items.[INDEX].campaign_name","typeLabel":"string"},"hidden":{"type":"boolean","uniqueKey":"promotions.items.[INDEX].hidden","typeLabel":"boolean"},"visitors_count":{"type":"number","uniqueKey":"promotions.items.[INDEX].visitors_count","typeLabel":"number"},"leads_count":{"type":"number","uniqueKey":"promotions.items.[INDEX].leads_count","typeLabel":"number"},"customers_count":{"type":"number","uniqueKey":"promotions.items.[INDEX].customers_count","typeLabel":"number"},"refunds_count":{"type":"number","uniqueKey":"promotions.items.[INDEX].refunds_count","typeLabel":"number"},"cancellations_count":{"type":"number","uniqueKey":"promotions.items.[INDEX].cancellations_count","typeLabel":"number"},"sales_count":{"type":"number","uniqueKey":"promotions.items.[INDEX].sales_count","typeLabel":"number"},"sales_total":{"type":"number","uniqueKey":"promotions.items.[INDEX].sales_total","typeLabel":"number"},"refunds_total":{"type":"number","uniqueKey":"promotions.items.[INDEX].refunds_total","typeLabel":"number"},"active_customers_count":{"type":"number","uniqueKey":"promotions.items.[INDEX].active_customers_count","typeLabel":"number"}},"uniqueKey":"promotions.items.[INDEX]","typeLabel":"object"},"uniqueKey":"promotions","typeLabel":"object[]"},"custom_fields":{"oneOf":[{"type":"object","description":"Key-value pairs of custom fields configured for this promoter","uniqueKey":"custom_fields.oneOf.0","typeLabel":"object"},{"type":"null","description":"Key-value pairs of custom fields configured for this promoter","uniqueKey":"custom_fields.oneOf.1","typeLabel":"null"}],"uniqueKey":"custom_fields","typeLabel":"object | null"},"promo_codes":{"type":"array","description":"Promo codes associated with this promoter","items":{"type":"object","properties":{"id":{"type":"integer","uniqueKey":"promo_codes.items.[INDEX].id","typeLabel":"integer"},"code":{"type":"string","uniqueKey":"promo_codes.items.[INDEX].code","typeLabel":"string"},"reward":{"type":"object","properties":{"id":{"type":"integer","uniqueKey":"promo_codes.items.[INDEX].reward.id","typeLabel":"integer"},"name":{"type":"string","uniqueKey":"promo_codes.items.[INDEX].reward.name","typeLabel":"string"}},"uniqueKey":"promo_codes.items.[INDEX].reward","typeLabel":"object"}},"uniqueKey":"promo_codes.items.[INDEX]","typeLabel":"object"},"uniqueKey":"promo_codes","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":123,"status":"approved","cust_id":"\u003cstring>","email":"\u003cstring>","created_at":"\u003cstring>","temp_password":"\u003cstring>","default_promotion_id":128833,"pref":"\u003cstring>","default_ref_id":"\u003cstring>","note":"\u003cstring>","w8_form_url":"\u003cstring>","w9_form_url":"\u003cstring>","parent_promoter_id":"\u003cstring>","earnings_balance":{"cash":3000,"credits":300,"discount_per":30},"current_balance":{"cash":1000,"credits":200,"discount_per":15},"paid_balance":{"cash":2000,"credits":100,"discount_per":15},"auth_token":"\u003cstring>","profile":{"first_name":"\u003cstring>","last_name":"\u003cstring>","website":"\u003cstring>","company_name":"\u003cstring>","phone_number":"\u003cstring>","address":"\u003cstring>","vat_id":"\u003cstring>","country":"\u003cstring>","paypal_email":"\u003cstring>","avatar_url":"\u003cstring>","description":"\u003cstring>","social_accounts":{"twitter":{"url":"\u003cstring>"},"youtube":{"url":"\u003cstring>"},"facebook":{"url":"\u003cstring>"},"linkedin":{"url":"\u003cstring>"},"instagram":{"url":"\u003cstring>"}}},"promotions":[{"id":123,"status":"\u003cstring>","ref_id":"\u003cstring>","promo_code":"\u003cstring>","customer_promo_code":"\u003cstring>","target_reached_at":{},"promoter_id":123,"campaign_id":123,"referral_link":"\u003cstring>","current_offer":{"id":123,"name":"\u003cstring>","amount":123,"unit":"\u003cstring>","default_promo_code":"\u003cstring>"},"current_referral_reward":{"id":123,"amount":123,"unit":"\u003cstring>","name":"\u003cstring>","per_of_sale":123,"default_promo_code":"\u003cstring>"},"current_promotion_reward":{},"current_target_reward":{},"campaign_name":"\u003cstring>","hidden":true,"visitors_count":123,"leads_count":123,"customers_count":123,"refunds_count":123,"cancellations_count":123,"sales_count":123,"sales_total":123,"refunds_total":123,"active_customers_count":123}],"custom_fields":{},"promo_codes":[{"id":123,"code":"\u003cstring>","reward":{"id":123,"name":"\u003cstring>"}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"42a89ebc-262f-4659-9788-5d16ff660576":{"description":"Unexpected error","content":{"application/json":{"schema":{"type":"string","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"\u003cstring>"}},"exampleType":"generated"}},"exampleType":"generated"},"bd36d876-ad0d-471a-b3bb-6878a91a67b6":{"description":"422 Unprocessable Entity","content":{"application/json":{"schema":{"required":["company_user.user.email","message"],"type":"object","properties":{"company_user.user.email":{"type":"array","items":{"type":"string","uniqueKey":"company_user\\.user\\.email.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"company_user\\.user\\.email","typeLabel":"string[]"},"promotions":{"type":"array","items":{"type":"object","uniqueKey":"promotions.items.[INDEX]","typeLabel":"object"},"uniqueKey":"promotions","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"company_user.user.email":["\u003cstring>"],"promotions":[{}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"269911f4-0f00-42c0-8c6f-e9436c156c27":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[]}}},"servers":{"cf343685-35f1-4bf3-bc4e-8859f920d6d8":{"url":"https://firstpromoter.com/api/v1/promoters"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[]},"schema":{"title":"X-API-KEY","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"X-API-KEY"}],"title":"apiKeyAuth"}]},"originalFileLocation":"api-reference-v1/promoters-api/openapi-promoters.json"},"subdomain":"firstpromoter","siteName":"FirstPromoter Docs","title":"Create a new promoter - FirstPromoter Docs","navMaps":{"firstHrefInVersion":{"v2":{"href":"/api-reference-v2/api-admin/promoters/get-available-promoters","matchLevel":2},"v1":{"href":"/api-reference-v1/promoters-api/create","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2025-08-07T12:33:18.674Z","originalFileLocation":"api-reference-v1/promoters-api/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is auth_token, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. Learn more. If this call is successful and you enabled Promoter sign up accepted emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/promoters/create\">\u003cmeta data-mint-head name=\"application-name\" content=\"FirstPromoter Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a new promoter - FirstPromoter Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is auth_token, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. Learn more. If this call is successful and you enabled Promoter sign up accepted emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/promoters/create\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"FirstPromoter Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://firstpromoter.mintlify.app/_mintlify/api/og/v2?division=Promoters\u0026amp;title=Create+a+new+promoter\u0026amp;description=Use+this+endpoint+to+create+new+promoters+using+the+API.+The+response+will+return+the+newly+added+promoter+as+JSON.+Probably+the+most+important+value+from+the+r\u0026amp;theme=6c5c6938239eba73fb25a5bd\u0026amp;signature=14c0203465bab8312242ec476badba14ab488951977935bd08a4af8fd8abd862\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a new promoter - FirstPromoter Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is auth_token, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. Learn more. If this call is successful and you enabled Promoter sign up accepted emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/promoters/create\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://firstpromoter.mintlify.app/_mintlify/api/og/v2?division=Promoters\u0026amp;title=Create+a+new+promoter\u0026amp;description=Use+this+endpoint+to+create+new+promoters+using+the+API.+The+response+will+return+the+newly+added+promoter+as+JSON.+Probably+the+most+important+value+from+the+r\u0026amp;theme=6c5c6938239eba73fb25a5bd\u0026amp;signature=14c0203465bab8312242ec476badba14ab488951977935bd08a4af8fd8abd862\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/firstpromoter/NHAuOTz7uXRLkEOr/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"FirstPromoter Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2497F3\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference-v1/promoters-api/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.firstpromoter.com/#organization\",\"name\":\"FirstPromoter Docs\",\"url\":\"https://docs.firstpromoter.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/firstpromoter/Qml53iAwCwPGiKRZ/logo/light.svg?fit=max\u0026auto=format\u0026n=Qml53iAwCwPGiKRZ\u0026q=85\u0026s=17d35344b27497f795682da8932295c9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.firstpromoter.com#website\",\"name\":\"FirstPromoter Docs\",\"url\":\"https://docs.firstpromoter.com\",\"publisher\":{\"@id\":\"https://docs.firstpromoter.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create#webpage\",\"url\":\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create\",\"name\":\"Create a new promoter\",\"description\":\"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is auth_token, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. Learn more. If this call is successful and you enabled Promoter sign up accepted emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/promoters/create\",\"dateModified\":\"2025-08-07T12:33:18.674Z\",\"isPartOf\":{\"@id\":\"https://docs.firstpromoter.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"FirstPromoter Docs\",\"item\":\"https://docs.firstpromoter.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a new promoter\",\"item\":\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create#apireference\",\"headline\":\"Create a new promoter\",\"name\":\"Create a new promoter\",\"description\":\"Use this endpoint to create new promoters using the API. The response will return the newly added promoter as JSON. Probably the most important value from the response is auth_token, which is a unique key auto-generated on creation and can be used to automatically log in your promoters to their dashboard. Learn more. If this call is successful and you enabled Promoter sign up accepted emails for the campaign, it will start sending emails to the promoter. To skip the emails, set the skip_email_notification parameter to trueHTTP Request POST https://firstpromoter.com/api/v1/promoters/create\",\"url\":\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create\",\"mainEntityOfPage\":{\"@id\":\"https://docs.firstpromoter.com/api-reference-v1/promoters-api/create#webpage\"},\"dateModified\":\"2025-08-07T12:33:18.674Z\",\"publisher\":{\"@id\":\"https://docs.firstpromoter.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.firstpromoter.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"FirstPromoter Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"FirstPromoter Docs","nav":{"global":null,"versions":[{"version":"v2","pages":[{"title":"v2","href":"/api-reference-v2/api-admin/promoters/get-available-promoters"}]},{"version":"v1","anchors":[{"anchor":"Documentation","icon":"book-open","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference-v1/introduction"},{"title":"Authentication","href":"/api-reference-v1/authentication"}]},{"group":"Tracking","pages":[{"title":"Tracking leads and sign-ups","openapi":"openapi-tracking POST /signup","href":"/api-reference-v1/tracking-api/leads-and-signups"},{"title":"Tracking sales and commissions","openapi":"openapi-tracking POST /sale","href":"/api-reference-v1/tracking-api/sales"},{"title":"Tracking refunds and negative commissions","openapi":"openapi-tracking POST /refund","href":"/api-reference-v1/tracking-api/refund"},{"title":"Tracking cancellations","openapi":"openapi-tracking POST /cancellation","href":"/api-reference-v1/tracking-api/cancellation"}]},{"group":"Leads","pages":[{"title":"Modify existing lead/customer","openapi":"openapi-leads PUT /update","href":"/api-reference-v1/leads-api/update"},{"title":"List leads/customers","openapi":"openapi-leads GET /list","href":"/api-reference-v1/leads-api/list"},{"title":"Show leads and customers details","openapi":"openapi-leads GET /show","href":"/api-reference-v1/leads-api/show"},{"title":"Delete lead/customer","openapi":"openapi-leads DELETE /delete","description":"Remove a lead/customer from FirstPromoter using the API. You can find the referral either by `id` , `uid` or `email`. \u003cTip>**HTTP Request** \u003cbr/>`DELETE https://firstpromoter.com/api/v1/leads/delete`\u003c/Tip>","href":"/api-reference-v1/leads-api/delete"}]},{"group":"Promoters","pages":[{"title":"Create a new promoter","openapi":"openapi-promoters POST /create","href":"/api-reference-v1/promoters-api/create"},{"title":"Modify existing promoter","openapi":"openapi-promoters PUT /update","description":"You can identify promoters by: `id`, `email`, `cust_id`, `auth_token` or `ref_id`(referral id). You need to pass at least one of these parameters.","href":"/api-reference-v1/promoters-api/update"},{"title":"List promoters","openapi":"openapi-promoters GET /list","href":"/api-reference-v1/promoters-api/list"},{"title":"Show promoter details and balance","openapi":"openapi-promoters GET /show","href":"/api-reference-v1/promoters-api/show-details"},{"title":"Move/switch a promoter from one campaign to another","openapi":"openapi-promoters POST /move_to_campaign","href":"/api-reference-v1/promoters-api/move-to-campaign"},{"title":"Add a promoter to a campaign","openapi":"openapi-promoters POST /add_to_campaign","href":"/api-reference-v1/promoters-api/add-to-campaign"},{"title":"Reset promoter's authentication token","openapi":"openapi-promoters PUT /refresh_token","href":"/api-reference-v1/promoters-api/refresh-token"},{"title":"Delete a promoter","openapi":"openapi-promoters DELETE /delete","href":"/api-reference-v1/promoters-api/delete"}]},{"group":"Rewards","pages":[{"title":"Create new reward","openapi":"openapi-rewards POST /create","href":"/api-reference-v1/rewards-api/create"},{"title":"List rewards and commissions","openapi":"openapi-rewards GET /list","href":"/api-reference-v1/rewards-api/list"},{"title":"Update a reward or commission","openapi":"openapi-rewards PUT /update","href":"/api-reference-v1/rewards-api/update"}]},{"group":"Payouts","pages":[{"title":"List payouts","openapi":"openapi-payouts GET /list","href":"/api-reference-v1/payouts-api/list"},{"title":"Create a new payout","openapi":"openapi-payouts POST /create","href":"/api-reference-v1/payouts-api/create"},{"title":"Change payouts status","openapi":"openapi-payouts PUT /update","href":"/api-reference-v1/payouts-api/update"}]},{"group":"Reports","pages":[{"title":"Overview reports","openapi":"openapi-reports GET /overview","href":"/api-reference-v1/reports-api/overview"},{"title":"Campaign reports","openapi":"openapi-reports GET /campaigns","href":"/api-reference-v1/reports-api/campaign"},{"title":"Promoter reports","openapi":"openapi-reports GET /promoters","href":"/api-reference-v1/reports-api/promoter"}]}]}]},{"anchor":"API Reference","icon":"webhook","href":"https://docs.firstpromoter.com/api-reference-v1/introduction"},{"anchor":"Help Center","icon":"square-question","href":"https://help.firstpromoter.com/en/"}]}]},"basePath":"","title":"Create a new promoter - FirstPromoter Docs","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","Page-BAvA99GL.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js","Markdown-nKm-uidQ.js","clsx-ClVdStUn.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CIQkMg3R.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ImrFS4Fy.js"]}